<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ugr" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>17-Mar-2003</pubdate>
  </info>

  <refnamediv>
    <refname>ugr</refname>

    <refpurpose>unconstrained tool, gradient evaluation</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>g = ugr(X)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>X</term>

        <listitem>
          <para>real vector, variables of the problem</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>g</term>

        <listitem>
          <para>real vector, gradient at X</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>ugr evaluates the gradien of the objective function of the current
    SIF problem (see <link linkend="usetup"> usetup</link>) at the point X, in
    the case where the only possible constraints are bound constraints.</para>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link linkend="usetup"> usetup</link></member>

      <member><link linkend="ugrdh"> ugrdh</link></member>

      <member><link linkend="ugrsh"> ugrsh</link></member>

      <member><link linkend="uofg"> uofg</link></member>

      <member><link linkend="ufn"> ufn</link></member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example">
sifdecode(get_sif_path()+'sif/AKIVA.SIF',TMPDIR+'/AKIVA')
buildprob(TMPDIR+'/AKIVA')
[X,BL,BU]=usetup(TMPDIR+'/AKIVA/OUTSDIF.d');

g=ugr(X)
X=[-0.053109827466;-0.237575444849];
g=ugr(X)
  </programlisting>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Bruno Durand, INRIA</member>

      <member>Serge Steer, INRIA</member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Bibliography</title>

    <para>Based on CUTEr authored by</para>

    <para>Nicholas I.M. Gould - n.gould@rl.ac.uk - RAL</para>

    <para>Dominique Orban - orban@ece.northwestern.edu - Northwestern</para>

    <para>Philippe L. Toint - Philippe.Toint@fundp.ac.be - FUNDP</para>

    <para>see http://hsl.rl.ac.uk/cuter-www</para>
  </refsection>
</refentry>